Bug 1662050 - feature CUSTOM:NetworkManager backend in critical plugin 'nm-backend' failed to load
Summary: feature CUSTOM:NetworkManager backend in critical plugin 'nm-backend' failed ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: NetworkManager-strongswan
Version: epel7
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Menšík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-25 15:52 UTC by Xiaofeng
Modified: 2021-11-16 17:00 UTC (History)
1 user (show)

Fixed In Version: NetworkManager-strongswan-1.5.2-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 17:00:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Xiaofeng 2018-12-25 15:52:15 UTC
Description of problem:

cannot connect to strongswan vpn server use NetworkManager-strongswan-gnome

Version-Release number of selected component (if applicable):

$ rpm -qa NetworkManager-strongswan\*
NetworkManager-strongswan-1.4.3-2.el7.x86_64
NetworkManager-strongswan-gnome-1.4.3-2.el7.x86_64

Additional info:
# journalctl -r
Dec 25 23:50:47 nuc.sl.deveden.org NetworkManager[11458]: <warn>  [1545753047.5458] vpn-connection[0x562828bc0560,bbb89bb4-674e-4d13-ad38-9d7d7ce43891,"bwh-ca",0]: Timed out waiting
Dec 25 23:50:41 nuc.sl.deveden.org charon-nm[9543]: 00[DMN] initialization failed - aborting charon-nm
Dec 25 23:50:41 nuc.sl.deveden.org charon-nm[9543]: 00[LIB] failed to load 1 critical plugin feature
Dec 25 23:50:41 nuc.sl.deveden.org charon-nm[9543]: 00[LIB] feature CUSTOM:NetworkManager backend in critical plugin 'nm-backend' failed to load
Dec 25 23:50:41 nuc.sl.deveden.org charon-nm[9543]: 00[CFG] DBUS binding failed
Dec 25 23:50:41 nuc.sl.deveden.org charon-nm[9543]: Failed to initialize a plugin instance: Connection ":1.253" is not allowed to own the service "org.freedesktop.NetworkManager.str
Dec 25 23:50:41 nuc.sl.deveden.org charon-nm[9543]: 00[LIB] openssl FIPS mode(2) - enabled
Dec 25 23:50:41 nuc.sl.deveden.org charon-nm[9543]: 00[DMN] Starting charon NetworkManager backend (strongSwan 5.7.1)

Comment 1 Fedora Admin user for bugzilla script actions 2021-03-18 00:05:22 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.

Comment 2 Petr Menšík 2021-11-08 22:38:05 UTC
I am not sure it should fix your issues, but I am upgrading to a more recent version. Can you please retry with it, whether issues still remain?

Comment 3 Fedora Update System 2021-11-08 22:40:20 UTC
FEDORA-EPEL-2021-7732dd9053 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-7732dd9053

Comment 4 Fedora Update System 2021-11-09 02:27:52 UTC
FEDORA-EPEL-2021-7732dd9053 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-7732dd9053

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-11-16 17:00:21 UTC
FEDORA-EPEL-2021-7732dd9053 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.